HttpRestClientConfig
HttpRestClientConfig =
object
Properties
url?
optionalurl:string
URL that will be used for the request
method?
optionalmethod:HTTPMethod
The request method to be used when making the request.
Currently supported Methods are:
"GET""POST""PUT""DELETE"
headers?
optionalheaders:object
Custom headers to be sent
Index Signature
[key: string]: string
content-type?
optionalcontent-type:HeaderContentType
data?
optionaldata:HttpClientRequestData
Form-Data to be sent as the request body. This causes curl to POST data using the Content-Type multipart/form-data according to RFC 2388.
timeout?
optionaltimeout:number
timeout in ms.
Specifies the number of milliseconds before the request times out.
If the request takes longer than timeout, the request will be aborted.
Default
5000
auth?
optionalauth:object
auth indicates that HTTP Basic auth should be used, and supplies credentials.
username
username:
string
password
password:
string
followRedirects?
optionalfollowRedirects:boolean
Should follow request when HTTP reponse was 3xx
Default
{true}
ignoreSelfSignedCertificate?
optionalignoreSelfSignedCertificate:boolean
If this flag is true, the request accepts self signed certifcates.
Default
{false}
downloadDestinationPath?
optionaldownloadDestinationPath:string
If this is specified, request will download a file to the given path.